# Query Virtual SPEI Account

## Payin by SPEI

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/virtual-account/spei/query`

This endpoint allows you to query virtual SPEI account number.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                          | Type   | Description                                                  |
| --------------------------------------------- | ------ | ------------------------------------------------------------ |
| app\_id<mark style="color:red;">\*</mark>     | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p> |
| account\_id<mark style="color:red;">\*</mark> | string | account id                                                   |
| timestamp<mark style="color:red;">\*</mark>   | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>              |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "account_id": "692W********MRW4",
    "account_number": "6461xxxxxxxxxx0137", //Clabe
    "buyer_id": "0001",
    "provider": "STP", //Bank name
    "status": "ACTIVE", //Status ENUM[ACTIVE/CANCELED]
    "beneficiary_name": "PAGSMILE MEXICO SA DE CV",
    "notify_url": "https://your-notify-url.com"
}
```

{% endtab %}

{% tab title="400 account pool run out" %}

<pre><code>{
<strong>    "code": "40002",
</strong>    "msg": "Business Failed",
    "sub_code": "account-pool-run-out",
    "sub_msg": "account pool run out"
}
</code></pre>

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/virtual-account/spei/query' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "timestamp": "2022-01-01 03:54:01",
    * "account_id": "692W********MRW4"
      }'
```

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payin/submit-a-payin/mexico/virtual-spei/query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
